AOZ Studio Beta - Bug #848

Actor Angle,StartAngle,EndAngle not working values make no diff.
10/10/2021 09:38 AM - malcolm harvey

Status: Closed Start date: 10/10/2021
Priority: Normal Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B16) u25

Description

Seams currently the Actor parameter , Angle and StartAngle and EndAngle dont make any different.

Below it should rotate thought 0-360 but nothing happens. (Im assuming its 0-360, Could also be 0-10 or 0-100 not enough
documentation).

Even 5/10 etc does not make any diff or 0.xx etc | could see.)

Float use of 0-20 etc works on Actor Scale= So float is working on some of them ok just seams again not on Angle and StartAngle
and EndAngle.

curs off
Degree

xStartAsteroid=20
yEndAsteroid=20

x=0

y=0

Angle#=0
StartAngle#=0
EndAngle#=360
vitessAsteroide=5000
Scale#=2

Cls0

Actor "test1", Image$="flipgfxscreen", y=20, x=20

Actor "test1",Image$="flipgfxscreen" x=xStartAsteroid,y=yEndAsteroid,endX=0,endY=Screen
Height,LoopMove=True,Duration=vitessAsteroide,Angle=Angle#,StartAngle=StartAngle#,EndAngle=EndAngle#,Scale=Scale#

Cls0

do

wait 0.02
Wait Vbl
Loop

History

#1-10/10/2021 11:10 AM - malcolm harvey

Note: It looks though now you can use either type of float eg: 1 or 0.x or 0.xx etc all works for values anyways no errors but still no change on
rotation/angle.

#2 - 12/18/2021 10:12 PM - malcolm harvey
- Affected version changed from 1.0.0 (B10) u16 to 1.0.0 (B11) ut17

#3 - 08/28/2022 09:12 PM - malcolm harvey
- Affected version changed from 1.0.0 (B11) u17 to 1.0.0 (B16) u25

#4 - 01/25/2023 07:45 AM - malcolm harvey

- Status changed from New to Closed

Seams to be working now in u38 rel 1.
Now rotating through 360 deg. Start angle working now.
Close ticket.

#5 - 01/25/2023 08:13 AM - malcolm harvey

Update: End angle and Actor angle also working now u38.
